#include <system.h>
#include "EESD.h"

#pragma DATA _CONFIG1H, _OSC_HS_1H //10 mhz
#pragma DATA _CONFIG2H, _WDT_OFF_2H 
#pragma DATA _CONFIG4L, _LVP_OFF_4L 
#pragma DATA _CONFIG3H, _MCLRE_ON_3H

void main(void)
{
	short secondsbin;
	short tens;
	short ones;
	short seconds;
	int a;
	
	interrupt_start();
	i2c_init();
	LCD_init();
	
	while (1) {
		secondsbin = i2c_time_read_seconds();
		tens = secondsbin / 16;
		ones = secondsbin % 16;
		seconds = (tens * 10) + ones;
		LCD_int(seconds);
		delay_ms(1000);
		LCD_clear();
	}
}